org.apache.hc.core5.util

## Class ReflectionUtils

- java.lang.Object
- - org.apache.hc.core5.util.ReflectionUtils

-     @Internal
      public final class ReflectionUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReflectionUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> T` | `callGetter(Object object, String getterName, Class<T> resultType)`
    `static <T> T` | `callGetter(Object object, String getterName, Object arg, Class<?> argType, Class<T> resultType)`
    `static void` | `callSetter(Object object, String setterName, Class<?> type, Object value)`
    `static int` | `determineJRELevel()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReflectionUtils

          public ReflectionUtils()

  - ### Method Detail

    - #### callSetter

          public static void callSetter(Object object,
                                        String setterName,
                                        Class<?> type,
                                        Object value)

    - #### callGetter

          public static <T> T callGetter(Object object,
                                         String getterName,
                                         Class<T> resultType)

    - #### callGetter

          public static <T> T callGetter(Object object,
                                         String getterName,
                                         Object arg,
                                         Class<?> argType,
                                         Class<T> resultType)

      Type Parameters:
        `T` - The return type.
      Since:
        5.3

    - #### determineJRELevel

          public static int determineJRELevel()

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.